package request

// EdbInfoDataReq 指标数据请求体
type EdbInfoDataReq struct {
	EdbInfoId   int    `form:"edb_info_id" json:"edb_info_id" description:"指标ID"`
	DateType    int    `form:"date_type" json:"date_type" description:"日期类型"`
	EdbInfoType int    `form:"edb_info_type" json:"edb_info_type" description:"指标类型"`
	StartDate   string `form:"start_date" json:"start_date" description:"开始日期"`
	EndDate     string `form:"end_date" json:"end_date" description:"结束日期"`
	StartYear   int    `form:"start_year" json:"start_year" description:"开始年份"`
}

// PredictEdbInfoDataReq 预测指标数据请求体
type PredictEdbInfoDataReq struct {
	EdbInfoId   int    `form:"edb_info_id" json:"edb_info_id" description:"指标ID"`
	DateType    int    `form:"date_type" json:"date_type" description:"日期类型"`
	EdbInfoType int    `form:"edb_info_type" json:"edb_info_type" description:"指标类型"`
	StartDate   string `form:"start_date" json:"start_date" description:"开始日期"`
	EndDate     string `form:"end_date" json:"end_date" description:"结束日期"`
	StartYear   int    `form:"start_year" json:"start_year" description:"开始年份"`
	ChartType   int    `form:"chart_type" json:"chart_type" description:"图表类型"`
	Calendar    string `form:"calendar" json:"calendar" description:"公历/农历"`
}
